﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using System.ServiceModel.Security;
//using HLWebPluginHost.OKBService;
using System.Diagnostics;
using HLWebOKBAdminPlugin.OKBAdministrationService;
using HLWebOKBAdminPlugin.Helpers;
using HLWebOKBAdminPlugin.Models;

namespace HLWebOKBAdminPlugin.Controllers
{
    public class AdminController : Controller
    {
        private AdministrationServiceClient CertificateValidator() {
            AdministrationServiceClient asc = new AdministrationServiceClient();

            asc.ClientCredentials.UserName.UserName = HttpContext.Session["Username"].ToString();
            asc.ClientCredentials.UserName.Password = HttpContext.Session["Password"].ToString();
            asc.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;

            return asc;
        }//CertificateValidator 

        public ActionResult Index() {
            return View();
        }// ActionResult Index

        public ActionResult Menu() {
            return View();
        }//ActionResult Men

        public ActionResult AlgorithmClass() {
            AdministrationServiceClient adminCLient = Admin.GetClientFactory();

            AdminModel am = new AdminModel();
            Session["SelectedSubMenu"] = "AlgorithmClass";
            var algorithmClasses = am.AlgorithmClassGetAll();            

            return View(algorithmClasses);
        }//ActionResult AlgorithmClass

        public ActionResult Algorithm() {
            AdministrationServiceClient adminCLient = Admin.GetClientFactory();

            AdminModel am = new AdminModel();
            Session["SelectedSubMenu"] = "Algorithm";
            var algorithm = am.AlgorithmsGetAll();

            return View(algorithm);
        }//Algorithm

        public ActionResult ProblemClass() {
            AdministrationServiceClient adminCLient = Admin.GetClientFactory();

            AdminModel am = new AdminModel();
            Session["SelectedSubMenu"] = "ProblemClass";
            var problemClasses = am.ProblemClassGetAll();

            return View(problemClasses);
        }//ProblemClass

        public ActionResult Problem() {
            AdministrationServiceClient adminCLient = Admin.GetClientFactory();

            AdminModel am = new AdminModel();
            Session["SelectedSubMenu"] = "Problem";
            var problem = am.ProblemsGetAll();

            return View(problem);
        }//Problem
    }
}
